package com.ruoyi.web.arap.mapper;

import com.ruoyi.web.arap.domain.ArapRecv;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ArapRecvMapper {
    ArapRecv selectById(Long id);

    List<ArapRecv> selectList(ArapRecv query);

    int insert(ArapRecv entity);

    int updateById(ArapRecv entity);

    int deleteById(@Param("id") Long id, @Param("orgId") String orgId, @Param("updateBy") String updateBy);

    Integer selectTodayMaxSeq(@Param("orgId") String orgId, @Param("dateText") String dateText);
}

